From: JEAN RUSSELL <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Fri, 13 Jan 2023 22:15:37 -0500 (EST)

Manager,

I am a 61-year-old single mom of a 22-year-old daughter and 7-year-old granddaughter.

My daughter is a CNA and also a single mom and struggles to support herself and my granddaughter.

I am on disability and don't have money to help them out. The only thing I can do to help my daughter out is to pick up my granddaughter from school, help her with her homework, feed her and watch her till my daughter gets off work. With the price of groceries and gas I am really struggling right now.

My daughter's birthday is coming up on the 4th.  She is in need of a queen size sheet  set.   My granddaughter occassionally pees in the bed and it leaks out of her diaper so she has to wash her sheets a lot.  Is  there any way you could find it in your heart to donate one of your satin luxury 6 piece sets  which my granddaughter can give to her for her birthday.

I realize I'm asking a lot as we are all struggling right now, but had to give it a try.

Thank you and God bless you

Jean Russell
366 Cedar View Way
Knoxville, TN 37919